WiFi Vulnerability Alert

WiFi Vulnerability Alert

Posted by Amy Wood on Oct 20 2017, 11:16 AM

WiFi Vulnerability Alert

 Monday morning saw the release of a serious flaw in WiFi encryption that could allow an attacker to expose encrypted messages and hijack connections even without knowing the password.  Nearly every device that uses WiFi to access the internet is affected - computers, laptops, phones, tablets... even things you may not think of like credit card terminals, iTero/Cerec/E4D scanners, internet routers, and, of course, wireless access points.  This underscores the need for software updates on all devices, not just windows updates.  The good news here, is that all ACS clients who have installed a firewall also have a wireless system that can be updated to protect against attacks like this as they become known.  As ACS rolls out the updates over the next few days, clients may notice a brief interruption in wireless service of about 5-10 minutes during the update process. 

ACS clients who have not yet installed a firewall and who use older wireless systems in their office will be notified directly and have their wireless disabled or upgraded to a firewall / wireless system that can be used safely.  

ACS is committed to keeping its clients operational, secure, and compliant.

Share On

Leave A Reply

Please fill all the fields.

Talk to our experts

Start your journey to compliance by directly interacting with our experts. With extensive years of experience in making dental practices HIPAA Compliant, we provide everything from start to finish to make you compliant, safe, secure, and confident against data breach. Look no further, begin your training today by scheduling a class with our experts!